//=============================================================================
// Dire.
//=============================================================================
class Dire extends TournamentMale;

#exec MESH IMPORT MESH=Dire ANIVFILE=MODELS\Dire_a.3d DATAFILE=MODELS\Dire_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=Dire X=0 Y=0 Z=0

#exec MESH SEQUENCE MESH=Dire SEQ=All 	STARTFRAME=0   NUMFRAMES=198 RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=GutHit	STARTFRAME=54  NUMFRAMES=1		Group=TakeHit
#exec MESH SEQUENCE MESH=Dire SEQ=AimDnLg	STARTFRAME=70  NUMFRAMES=1		Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=AimDnSm	STARTFRAME=10  NUMFRAMES=1		Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=AimUpLg	STARTFRAME=55  NUMFRAMES=1		Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=AimUpSm	STARTFRAME=55  NUMFRAMES=1		Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=Taunt1 	STARTFRAME=72  NUMFRAMES=12  RATE=10	Group=Gesture
#exec MESH SEQUENCE MESH=Dire SEQ=Breath1	STARTFRAME=0   NUMFRAMES=39  RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=Breath2	STARTFRAME=0   NUMFRAMES=39  RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=CockGun	STARTFRAME=49  NUMFRAMES=4   RATE=6	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=DuckWlkL 	STARTFRAME=154 NUMFRAMES=6   RATE=10	Group=Ducking
#exec MESH SEQUENCE MESH=Dire SEQ=DuckWlkS 	STARTFRAME=154 NUMFRAMES=6   RATE=10	Group=Ducking
#exec MESH SEQUENCE MESH=Dire SEQ=HeadHit 	STARTFRAME=54  NUMFRAMES=1   		Group=TakeHit
#exec MESH SEQUENCE MESH=Dire SEQ=JumpLgFr 	STARTFRAME=67  NUMFRAMES=1   		Group=Jumping
#exec MESH SEQUENCE MESH=Dire SEQ=JumpSmFr 	STARTFRAME=67  NUMFRAMES=1   		Group=Jumping
#exec MESH SEQUENCE MESH=Dire SEQ=LandLgFr    STARTFRAME=70  NUMFRAMES=1		Group=Landing
#exec MESH SEQUENCE MESH=Dire SEQ=LandSmFr    STARTFRAME=70  NUMFRAMES=1		Group=Landing
#exec MESH SEQUENCE MESH=Dire SEQ=LeftHit 	STARTFRAME=58  NUMFRAMES=1   		Group=TakeHit
#exec MESH SEQUENCE MESH=Dire SEQ=Look 	STARTFRAME=0   NUMFRAMES=39  RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=RightHit 	STARTFRAME=62  NUMFRAMES=1   		Group=TakeHit
#exec MESH SEQUENCE MESH=Dire SEQ=RunLg 	STARTFRAME=40  NUMFRAMES=6   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=RunLgFr	STARTFRAME=46  NUMFRAMES=2   RATE=6	Group=MovingFire
#exec MESH SEQUENCE MESH=Dire SEQ=RunSm	STARTFRAME=40  NUMFRAMES=6   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=RunSmFr	STARTFRAME=46  NUMFRAMES=2   RATE=6	Group=MovingFire
#exec MESH SEQUENCE MESH=Dire SEQ=StillFrRp	STARTFRAME=46  NUMFRAMES=2   RATE=6	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=StillLgFr 	STARTFRAME=46  NUMFRAMES=8   RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=StillSmFr	STARTFRAME=46  NUMFRAMES=8   RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=SwimLg	STARTFRAME=135 NUMFRAMES=1
#exec MESH SEQUENCE MESH=Dire SEQ=SwimSm	STARTFRAME=135 NUMFRAMES=1   RATE=15
#exec MESH SEQUENCE MESH=Dire SEQ=TreadLg	STARTFRAME=46  NUMFRAMES=1   RATE=15	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=TreadSm	STARTFRAME=46  NUMFRAMES=1   RATE=15	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=Victory1 	STARTFRAME=84  NUMFRAMES=11  RATE=10	Group=Gesture
#exec MESH SEQUENCE MESH=Dire SEQ=WalkLg	STARTFRAME=40  NUMFRAMES=5   RATE=2
#exec MESH SEQUENCE MESH=Dire SEQ=WalkLgFr	STARTFRAME=46  NUMFRAMES=7   RATE=10	Group=MovingFire
#exec MESH SEQUENCE MESH=Dire SEQ=WalkSm	STARTFRAME=40  NUMFRAMES=5   RATE=2
#exec MESH SEQUENCE MESH=Dire SEQ=WalkSmFr	STARTFRAME=46  NUMFRAMES=7   RATE=10	Group=MovingFire
#exec MESH SEQUENCE MESH=Dire SEQ=Wave	STARTFRAME=112 NUMFRAMES=11  RATE=10	Group=Gesture
#exec MESH SEQUENCE MESH=Dire SEQ=Walk	STARTFRAME=40  NUMFRAMES=5   RATE=2
#exec MESH SEQUENCE MESH=Dire SEQ=TurnLg	STARTFRAME=40  NUMFRAMES=2   RATE=7	// 2 frames of walklgfr
#exec MESH SEQUENCE MESH=Dire SEQ=TurnSm	STARTFRAME=40  NUMFRAMES=2   RATE=7	// 2 frames of walksmfr
#exec MESH SEQUENCE MESH=Dire SEQ=Breath1L	STARTFRAME=0   NUMFRAMES=39  RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=Breath2L	STARTFRAME=0   NUMFRAMES=39  RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=CockGunL	STARTFRAME=49  NUMFRAMES=4   RATE=6	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=LookL 	STARTFRAME=0   NUMFRAMES=39  RATE=10	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=WaveL 	STARTFRAME=112 NUMFRAMES=11  RATE=10	Group=Gesture
#exec MESH SEQUENCE MESH=Dire SEQ=Chat1	STARTFRAME=87  NUMFRAMES=2   RATE=6	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=Chat2	STARTFRAME=113 NUMFRAMES=2   RATE=2	Group=Waiting
#exec MESH SEQUENCE MESH=Dire SEQ=Thrust 	STARTFRAME=95  NUMFRAMES=17  RATE=10	Group=Gesture
#exec MESH SEQUENCE MESH=Dire SEQ=DodgeB	STARTFRAME=68  NUMFRAMES=1		Group=Jumping
#exec MESH SEQUENCE MESH=Dire SEQ=DodgeF	STARTFRAME=68  NUMFRAMES=1		Group=Jumping
#exec MESH SEQUENCE MESH=Dire SEQ=DodgeR	STARTFRAME=68  NUMFRAMES=1		Group=Jumping
#exec MESH SEQUENCE MESH=Dire SEQ=DodgeL	STARTFRAME=68  NUMFRAMES=1		Group=Jumping
#exec MESH SEQUENCE MESH=Dire SEQ=Fighter     STARTFRAME=46  NUMFRAMES=1
#exec MESH SEQUENCE MESH=Dire SEQ=Flip	STARTFRAME=66  NUMFRAMES=2   RATE=4	Group=Jumping
#exec MESH SEQUENCE MESH=Dire SEQ=Dead1 	STARTFRAME=178 NUMFRAMES=6   RATE=10	Group=TakeHit
#exec MESH SEQUENCE MESH=Dire SEQ=Dead2 	STARTFRAME=184 NUMFRAMES=6   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=Dead3 	STARTFRAME=190 NUMFRAMES=8   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=Dead4 	STARTFRAME=178 NUMFRAMES=6   RATE=10	Group=TakeHit
#exec MESH SEQUENCE MESH=Dire SEQ=Dead7 	STARTFRAME=184 NUMFRAMES=6   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=Dead8 	STARTFRAME=190 NUMFRAMES=8   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=Dead9	STARTFRAME=54  NUMFRAMES=2   RATE=30	Group=TakeHit
#exec MESH SEQUENCE MESH=Dire SEQ=Dead9B	STARTFRAME=184 NUMFRAMES=6   RATE=15		
#exec MESH SEQUENCE MESH=Dire SEQ=Dead11	STARTFRAME=184 NUMFRAMES=6   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=BackRun	STARTFRAME=40  NUMFRAMES=6   RATE=10	Group=MovingFire
#exec MESH SEQUENCE MESH=Dire SEQ=StrafeL	STARTFRAME=46  NUMFRAMES=1		Group=MovingFire
#exec MESH SEQUENCE MESH=Dire SEQ=StrafeR	STARTFRAME=46  NUMFRAMES=1		Group=MovingFire
#exec MESH SEQUENCE MESH=Dire SEQ=Point 	STARTFRAME=123 NUMFRAMES=12  RATE=10	Group=Gesture
#exec MESH SEQUENCE MESH=Dire SEQ=Crstnd 	STARTFRAME=135 NUMFRAMES=19  RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=Crpain 	STARTFRAME=169 NUMFRAMES=4   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=Crdeath 	STARTFRAME=173 NUMFRAMES=5   RATE=10
#exec MESH SEQUENCE MESH=Dire SEQ=Breath3	STARTFRAME=0   NUMFRAMES=39  RATE=10

#exec MESH SEQUENCE MESH=Dire SEQ=DeathEnd	STARTFRAME=183 NUMFRAMES=1
#exec MESH SEQUENCE MESH=Dire SEQ=DeathEnd2	STARTFRAME=189 NUMFRAMES=1
#exec MESH SEQUENCE MESH=Dire SEQ=DeathEnd3	STARTFRAME=197 NUMFRAMES=1

#exec TEXTURE IMPORT NAME=JDire FILE=MODELS\avenger.pcx GROUP=Skins FLAGS=2 // skins

#exec MESHMAP NEW   MESHMAP=Dire MESH=Dire
#exec MESHMAP SCALE MESHMAP=Dire X=0.1 Y=0.1 Z=0.2

#exec MESHMAP SETTEXTURE MESHMAP=Dire NUM=0 TEXTURE=JDire

defaultproperties
{
     SelectionMesh="Dire.Dire"
     SpecialMesh="Dire.Dire"
     MenuName="Dire"
     Mesh=LodMesh'Dire.Dire'
}

